Bug 77129 - /sbin/mkinitrd expects kudzu without package requiring it
/sbin/mkinitrd expects kudzu without package requiring it
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
8.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-01 10:55 EST by ratness
Modified: 2006-08-04 16:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ratness 2002-11-01 10:55:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
/sbin/mkinitrd, line 313, makes reference to kudzu, but the mkinitrd package 
doesn't require it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -e kudzu
2. rpm -U [some new kernel]
3.


Actual Results:  Installing...
   1:kernel                 ########################################### [100%]
/sbin/mkinitrd: line 1: kudzu: command not found


Expected Results:  Installing...
   1:kernel                 ########################################### [100%]


Additional info:

Super LOW priority.

I hate kudzu, pleeease don't "fix" this by requiring kudzu in the package; just 
put an  "if -x kudzu" around it.  :)
Comment 1 Jeremy Katz 2003-01-05 23:55:13 EST
Something similar done in mkinitrd-3.4.34-1
Comment 2 Bill Nottingham 2006-08-04 16:32:41 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.